Bug 682255 - Inconsistent titlebars
Inconsistent titlebars
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On: 802544
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2011-03-04 10:45 EST by Alan Santos
Modified: 2015-02-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example 1 (13.47 KB, image/png)
2011-03-04 10:45 EST, Alan Santos
no flags Details
example 2 (11.59 KB, image/png)
2011-03-04 10:46 EST, Alan Santos
no flags Details
example 3 (9.13 KB, image/png)
2011-03-04 10:46 EST, Alan Santos
no flags Details
example 4 (11.03 KB, image/png)
2011-03-04 10:47 EST, Alan Santos
no flags Details
example 5 (15.55 KB, image/png)
2011-03-04 10:47 EST, Alan Santos
no flags Details
example 6 (45.31 KB, image/png)
2011-03-04 10:51 EST, Alan Santos
no flags Details
Newly Designed common text header sections (78.79 KB, image/png)
2012-02-14 13:23 EST, Mike Thompson
no flags Details

  None (edit)
Description Alan Santos 2011-03-04 10:45:58 EST
Created attachment 482304 [details]
example 1

Description of problem:

The layout of screen titles is inconsistent. Some have images (e.g. bundles) and a gray background, others have images and no gray background, others have in images and different backgrounds. 


I've attached five screenshots that illustrate five different layouts in the RHS title.
Comment 1 Alan Santos 2011-03-04 10:46:25 EST
Created attachment 482305 [details]
example 2
Comment 2 Alan Santos 2011-03-04 10:46:49 EST
Created attachment 482306 [details]
example 3
Comment 3 Alan Santos 2011-03-04 10:47:14 EST
Created attachment 482307 [details]
example 4
Comment 4 Alan Santos 2011-03-04 10:47:39 EST
Created attachment 482308 [details]
example 5
Comment 5 Alan Santos 2011-03-04 10:51:50 EST
Created attachment 482309 [details]
example 6

found a 6th
Comment 6 Mike Thompson 2012-02-14 13:23:25 EST
Created attachment 562005 [details]
Newly Designed common text header sections
Comment 7 Mike Thompson 2012-02-14 13:23:58 EST
Hi Mike

We should go ahead with the gray background color with one pixel stroke color on top and keep the Icons should be included in this area to remain consistent and remain true to what seems to be the intended design. 


SIDE NOTE BUT RELATED...
The UX team is starting to compile a library of common application icons that will span across all applications. We are trying to figure out the needs from a global perspective as well as on the application level. I went ahead and created a new section for jboss specific icons so fell free to update this as you see fit.

Here is the link:
http://design.lab.bos.redhat.com/wiki/Symbolic_Icon_Library#Summary

Right now we are just trying to understand the eco-system of icons out there and no dates have been established for deliverable. If you need some icons in the interim please let us know and we can work on these for you.

Harlan
Comment 8 Mike Thompson 2012-03-09 14:30:12 EST
All the screens now have common title bars with icons that match the entries in the left sidebar menu.

commit id:  1e2b33aff9090e6a52e364bd6a7ac2c1c08b69de
Comment 9 Mike Foley 2012-03-21 16:13:39 EDT
verified
Comment 10 Heiko W. Rupp 2013-09-03 11:15:07 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.